Failover Global Cluster (V2)
Force-promotes a specified secondary cluster as the new primary cluster.
POST/v2/globalClusters/{globalClusterId}/failover
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired
ID of the Global Cluster.
Example Value: glo-xxxxxxxxxxxxxxx
Request Bodyapplication/json
newPrimaryClusterIdstringrequired
ID of the secondary cluster to promote as the new primary cluster.
Example Value: in01-secondary
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"
curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/failover" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"newPrimaryClusterId": "in01-secondary"
}'
Responses200 - application/json
globalClusterIdstring
Global Cluster ID.
Example Value: glo-xxxxxxxxxxxxxxx
oldPrimaryClusterIdstring
Previous primary cluster ID.
Example Value: in01-primary
newPrimaryClusterIdstring
New primary cluster ID.
Example Value: in01-secondary
jobIdstring
Job ID for the asynchronous operation.
Example Value: job-xxxxxxxxxxxxxxx
Returns an error message.
codeinteger
Response code.
Example Value: 400
messagestring
Error message.
Example Value: Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"oldPrimaryClusterId": "in01-primary",
"newPrimaryClusterId": "in01-secondary",
"jobId": "job-xxxxxxxxxxxxxxx"
}